summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2019-09-13 11:54:03 +0100
committerRoy Marples <roy@marples.name>2019-09-13 11:54:03 +0100
commit3064915513e75fff6ae8ac0eeb74373f6c83f2d3 (patch)
tree42a98dcf339f67a7357d36d09d4b6b3e2480f1c5 /tests
parent075fd9c0249f61df88336873900c6ae59383988c (diff)
downloaddhcpcd-3064915513e75fff6ae8ac0eeb74373f6c83f2d3.tar.xz
build: distclean now recursively removes patch files and related
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile4
-rw-r--r--tests/crypt/Makefile1
-rw-r--r--tests/eloop-bench/Makefile1
3 files changed, 6 insertions, 0 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 1ae0a8b2..16a229ff 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -10,6 +10,10 @@ proginstall:
clean:
for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
+distclean: clean
+ rm -f *.diff *.patch *.orig *.rej
+ for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
+
test:
for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
diff --git a/tests/crypt/Makefile b/tests/crypt/Makefile
index 9b2a3231..db23f710 100644
--- a/tests/crypt/Makefile
+++ b/tests/crypt/Makefile
@@ -24,6 +24,7 @@ clean:
distclean: clean
rm -f .depend
+ rm -f *.diff *.patch *.orig *.rej
.depend: ${SRCS} ${PCRYPT_SRCS}
${CC} ${CPPFLAGS} -MM ${SRCS} ${PCRYPT_SRCS}
diff --git a/tests/eloop-bench/Makefile b/tests/eloop-bench/Makefile
index a0d30983..332e889f 100644
--- a/tests/eloop-bench/Makefile
+++ b/tests/eloop-bench/Makefile
@@ -34,6 +34,7 @@ clean:
distclean: clean
rm -f .depend
+ rm -f *.diff *.patch *.orig *.rej
depend: